Package org.eclipse.e4.ui.model.application.ui.menu

# Interface MHandledItem

All Superinterfaces:
  `MApplicationElement`, `MItem`, `MLocalizable`, `MUIElement`, `MUILabel`

All Known Subinterfaces:
  `MHandledMenuItem`, `MHandledToolItem`

All Known Implementing Classes:
  `HandledItemImpl`, `HandledMenuItemImpl`, `HandledToolItemImpl`

public interface MHandledItem extends MItem
A representation of the model object 'Handled Item'.

This is the base class for menu and tool items associated with Commands.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Command`
  - `Wb Command`
  - `Parameters`

## Method Summary

Modifier and Type
Method
Description
`MCommand`
`getCommand()`
Returns the value of the 'Command' reference.
`List<MParameter>`
`getParameters()`
Returns the value of the 'Parameters' containment reference list.
`ParameterizedCommand`
`getWbCommand()`
Returns the value of the 'Wb Command' attribute.
`void`
`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.
`void`
`setWbCommand(ParameterizedCommand value)`
Sets the value of the '`Wb Command`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

## Method Details

### getCommand

MCommand getCommand()
Returns the value of the 'Command' reference.

A reference to the Command associated with this item.

Returns:
  the value of the 'Command' reference.
See Also:
  - `setCommand(MCommand)`

### setCommand

void setCommand(MCommand value)
Sets the value of the '`Command`' reference.

Parameters:
  `value` - the new value of the 'Command' reference.
See Also:
  - `getCommand()`

### getWbCommand

ParameterizedCommand getWbCommand()
Returns the value of the 'Wb Command' attribute.

This is used for low level implementation and is not intended to be used by clients

Returns:
  the value of the 'Wb Command' attribute.
See Also:
  - `setWbCommand(ParameterizedCommand)`
Restriction:

### setWbCommand

void setWbCommand(ParameterizedCommand value)
Sets the value of the '`Wb Command`' attribute.

Parameters:
  `value` - the new value of the 'Wb Command' attribute.
See Also:
  - `getWbCommand()`
Restriction:

### getParameters

List<MParameter> getParameters()
Returns the value of the 'Parameters' containment reference list. The list contents are of type `MParameter`.

Defines the specific parameters to use when executing the command through this item.

Returns:
  the value of the 'Parameters' containment reference list.